package jp.co.sds_corp.util.window;

import java.awt.Component;
import java.awt.Graphics;

import javax.swing.Icon;

/**
* 表示されないIconです。位置合わせ等で使用してください。
* @author	小見山　聡
*/
public class NullIcon implements Icon
{
	int height = 0;
	int width = 0;

	/**
	* このアイコンを初期化します。
	*/
	public NullIcon() {
	}

	/**
	* このアイコンを指定されたサイズで初期化します。
	* @param	width	アイコンの幅
	* @param	height	アイコンの高さ
	*/
	public NullIcon( int width, int height ) {
		this.width = width;
		this.height = height;
	}

	public int getIconHeight() {
		return height;
	}

	public int getIconWidth() {
		return width;
	}

	public void setIconHeight( int height ) {
		this.height = height;
	}

	public void setIconWidth( int width ) {
		this.width = width;
	}

	public void paintIcon(Component c, Graphics g, int x, int y) {
	}
}
