package jp.co.sds_corp.util.window;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.HashMap;
import java.util.Map;
import java.util.ResourceBundle;

import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

import jp.co.sds_corp.util.common.CmnLocale;

public class SoundSetupPanel extends JPanel implements ISetupPanel
{
	JCheckBox		CHK = new JCheckBox( "音を鳴らす" );
	FileSelector	ap;
	ResourceBundle	res;

	public SoundSetupPanel() {
		res = ResourceBundle.getBundle( "resource.util_gui", CmnLocale.getLocale() );
		String text;
		setLayout( new BorderLayout() );
		text = res.getString( "sound.title" );
		setBorder( new TitledBorder( text ));
		text = res.getString( "sound.check.text" );
		CHK = new JCheckBox( text );
		CHK.addActionListener( new ActionListener() {
			public void actionPerformed( ActionEvent ev ) {
				JCheckBox CHK = (JCheckBox )ev.getSource();
				setSelected( CHK.getModel().isSelected());
			}
		});
		add( CHK, BorderLayout.NORTH );
		ap = new FileSelector( ".", "Audio", FileSelector.Type.AUDIO );
		add( ap, BorderLayout.CENTER );
	}

	public void setData( Map<String,String> map ) {
		setSelected( true );
		ap.setSelection( (String )map.get( "File" ));
	}

	public Map<String,String> getData() {
		if ( CHK.isSelected() ) {
			HashMap<String,String> map = new HashMap<String,String>();
			map.put( "File", ap.getSelection() );
		}
		return null;
	}

	public void setEnabled( boolean bEn ) {
		CHK.setEnabled( bEn );
		ap.setEnabled( bEn );
	}

	public void setSelected( boolean bEn ) {
		CHK.setSelected( bEn );
		ap.setEnabled( bEn );
	}
	public boolean isSelected() {
		return CHK.isSelected();
	}

	public void clear() {
		setSelected( false );
		ap.setSelection( null );
	}
}

